Bug 1474389 - SELinux is preventing tlp from 'write' accesses on the file lock_tlp.
SELinux is preventing tlp from 'write' accesses on the file lock_tlp.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:0fe6c4e97436995837796a159e9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-24 09:51 EDT by xzj8b3
Modified: 2017-12-19 16:33 EST (History)
9 users (show)

See Also:
Fixed In Version: selinux-policy-3.13.1-260.17.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-19 16:33:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description xzj8b3 2017-07-24 09:51:34 EDT
Description of problem:
SELinux is preventing tlp from 'write' accesses on the file lock_tlp.

*****  Plugin catchall (100. confidence) suggests   **************************

If si crede che tlp dovrebbe avere possibilità di accesso write sui lock_tlp file in modo predefinito.
Then si dovrebbe riportare il problema come bug.
E' possibile generare un modulo di politica locale per consentire questo accesso.
Do
allow this access for now by executing:
# ausearch -c 'tlp' --raw | audit2allow -M my-tlp
# semodule -X 300 -i my-tlp.pp

Additional Information:
Source Context                system_u:system_r:tlp_t:s0
Target Context                system_u:object_r:var_run_t:s0
Target Objects                lock_tlp [ file ]
Source                        tlp
Source Path                   tlp
Port                          <Sconosciuto>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-259.fc26.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.11.7-300.fc26.x86_64 #1 SMP Mon
                              Jun 26 14:54:05 UTC 2017 x86_64 x86_64
Alert Count                   2
First Seen                    2017-07-03 15:01:15 CEST
Last Seen                     2017-07-03 15:12:15 CEST
Local ID                      5483a891-e735-4fdb-9ad4-1fb25343f0fb

Raw Audit Messages
type=AVC msg=audit(1499087535.435:452): avc:  denied  { write } for  pid=15721 comm="tlp" name="lock_tlp" dev="tmpfs" ino=25530 scontext=system_u:system_r:tlp_t:s0 tcontext=system_u:object_r:var_run_t:s0 tclass=file permissive=1


Hash: tlp,tlp_t,var_run_t,file,write

Version-Release number of selected component:
selinux-policy-3.13.1-259.fc26.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.11.11-300.fc26.x86_64
type:           libreport

Potential duplicate: bug 1405283
Comment 1 Fedora Update System 2017-11-21 11:21:45 EST
selinux-policy-3.13.1-260.17.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-39e6a2f7e7
Comment 2 Fedora Update System 2017-11-21 11:23:44 EST
selinux-policy-3.13.1-260.17.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-39e6a2f7e7
Comment 3 Fedora Update System 2017-11-22 06:08:18 EST
selinux-policy-3.13.1-260.17.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-39e6a2f7e7
Comment 4 Fedora Update System 2017-12-19 16:33:14 EST
selinux-policy-3.13.1-260.17.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.